# BoardingPass class

Boarding Pass

Inheritance
  - Object
  - GenericDocumentWrapper
  - BoardingPass

## Constructors

BoardingPass(GenericDocument document)

## Properties

document → GenericDocument
  final inherited
electronicTicket → TextFieldWrapper
  Electronic Ticket
  no setter
hashCode → int
  The hash code for this object.
  no setter inherited
legs → List<BoardingPassLeg>
  A list of all children of type "Leg".
  no setter
name → TextFieldWrapper
  Name
  no setter
numberOfLegs → TextFieldWrapper
  Number Of Legs
  no setter
requiredDocumentType → String
  no setter override
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited
securityData → TextFieldWrapper
  Security Data
  no setter

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited

## Constants

DOCUMENT_NORMALIZED_TYPE → const String
  Normalized document type name of this document wrapper.
DOCUMENT_TYPE → const String
  Generic document type name of this document wrapper.